#
# spec file for package systemd-presets-branding-openSUSE
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           systemd-presets-branding-openSUSE
Version:        0.3.0
Release:        27.3
Summary:        systemd default presets for openSUSE
License:        GPL-2.0+
Group:          System/Base
Source0:        default-openSUSE.preset
Source1:        99-default-disable.preset
BuildRequires:  systemd
#!BuildIgnore:  systemd-presets-branding
PreReq:         coreutils
Provides:       systemd-presets-branding = %{version}
Supplements:    packageand(systemd:branding-openSUSE)
Conflicts:      otherproviders(systemd-presets-branding)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Default presets for systemd on openSUSE distribution.

%prep
%setup -q -T -c

%build

%install
mkdir -p %{buildroot}/usr/lib/systemd/system-preset
install -m644 %{SOURCE0}  %{buildroot}/usr/lib/systemd/system-preset/90-default-openSUSE.preset
install -m644 %{SOURCE1}  %{buildroot}/usr/lib/systemd/system-preset/

%pre -p /bin/bash
%systemd_preset_pre

%post
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
if [ $1 -eq 0 ]; then
systemctl daemon-reload >/dev/null 2>&1 || :
fi

%posttrans -p /bin/bash
%systemd_preset_posttrans

%files
%defattr(-,root,root)
/usr/lib/systemd/system-preset/*

%changelog
* Thu Jun  9 2016 lnussel@suse.de
- don't require systemd to avoid dependency loop (boo#983986)
* Tue May 31 2016 meissner@suse.com
- added a prereq for coreutils to make sure the macro in %%pre
  works when using touch and mkdir. (bsc#982337)
* Mon May  9 2016 trenn@suse.de
- enable mcelog by default instead of using an udev rule on
  /dev/mcelog (bsc#976781)
* Thu Mar 24 2016 meissner@suse.com
- enable remote-fs.target, getty@.service. (bsc#972489)
* Wed Dec 16 2015 lnussel@suse.de
- don't enable ModemManager and wpa_supplicant. Both will be started
  on demand (bnc#717130)
* Wed Dec 16 2015 eich@suse.com
- Add display-manager.service to defaults presets (boo#958880).
* Tue Dec  8 2015 sbrabec@suse.com
- Enable fstrim.timer and disable fstrim.service. TRIM should be
  performed once a week and not on every boot (FATE#317727).
  http://www.spinics.net/lists/util-linux-ng/msg09133.html
* Tue Aug  4 2015 sbrabec@suse.com
- Add %%systemd_preset_pre and %%systemd_preset_posttrans (fixes
  boo#921075 and all future requests to change service default).
* Wed Jul 15 2015 jkeil@suse.de
- Enable updatedb timer for mlocate package
  * Replaces cron.daily script
* Wed Jul 15 2015 jkeil@suse.de
- Enable timer for periodic password & group file integrity verification
* Wed Jul 15 2015 olaf@aepfle.de
- Remove xendomains.service from systemd preset file because it
  conflicts with libvirt-guests.service (bnc#937371)
  Its up to the admin to run systemctl enable xendomains.service
* Tue Jun 30 2015 crrodriguez@opensuse.org
- If selinux is used, restorecond should be enabled by default.
  The relevant unit only starts if the system was booted with
  selinux enabled
- Do not start acpid by default, its functionality is provided
  by logind nowadays.
* Wed Apr  1 2015 crrodriguez@opensuse.org
- Native systemd unit apparmor.service need to be enabled
  by default.
* Mon Mar  9 2015 meissner@suse.com
- enabled smartd by default (bnc#921075)
* Tue Jan 13 2015 olaf@aepfle.de
- enable xencommons and xendomains (bnc#897352)
* Fri Dec 19 2014 mlatimer@suse.com
- enable vmtoolsd service for VMWare by default (bnc#901272)
* Wed Dec  3 2014 lwang@suse.com
- remove: enable lvm2-lvmetad.service   (bnc#901859)
* Thu Nov 20 2014 gber@opensuse.org
- enable storage-fixup.service by default due to conversion
* Thu Jun 26 2014 glin@suse.com
- enable wpa_supplicant.service (bnc#860885 comment#20)
* Wed May 28 2014 lwang@suse.com
- enable lvm2-lvmetad.socket (bnc#878473)
  enable lvm2-lvmetad.service
* Fri Apr 11 2014 meissner@suse.com
- enable auditd, haveged and irqbalance services by default. bnc#872066
* Wed Apr  2 2014 crrodriguez@opensuse.org
- Enable the logrotate.timer that replaces the cron-based
  activation by default.
* Fri Mar  7 2014 matwey.kornilov@gmail.com
- Enable epmd.socket so that epmd.service can be properly
  socket-activated instead of forking by beam. The later leads to
  the issue when epmd is killed at the stop of the specific service
  and all erlang instances crashes as a consequence.
  Needed by erlang package. (bnc#869112)
* Thu Feb 13 2014 lduncan@suse.com
- Enable iscsi daemon socket and iscsi service as installed,
  so that iscsid.service can be socket-activated. (bnc#853300)
* Wed Dec 18 2013 ohering@suse.de
- Enable hv_kvp_daemon and hv_vss_daemon from hyper-v pkg
* Thu Oct 17 2013 lduncan@suse.com
- Enable iscsid socket and iscsi service by default when
  installed (bnc#827654).
* Wed Jul 31 2013 fcrozat@suse.com
- Enable ModemManager.service is enabled when installed (it will be
  dbus-activated by NM).
* Thu Jul 25 2013 fcrozat@suse.com
- Rename main default file to 90-default-openSUSE.preset and move
  the "disable everything" part to a separate file
  "99-default-disable.preset". This allows fine tuning with
  additional files, if needed (same as Fedora).
* Fri May  3 2013 meissner@suse.com
- as we have multiversion kernels enabled by default, we also
  need to enable purge-kernels by default (bnc#818317).
* Fri Feb 22 2013 mt@suse.com
- Do not unconditionally enable NetworkManager service as this
  breaks running /etc/init.d/network on update (bnc#803058).
* Wed Oct 17 2012 fcrozat@suse.com
- Change location of presets with latest systemd.
* Tue Sep 11 2012 aj@suse.de
- Add nscd service (bnc#778981).
* Wed Jul  4 2012 fcrozat@suse.com
- Add cups units (service, path and socket) (bnc#769346).
* Mon Dec 12 2011 fcrozat@suse.com
- Add postfix (bnc#727403).
* Wed Oct 26 2011 lnussel@suse.de
- don't enable sysstat by default (bnc#725791)
* Mon Oct 17 2011 fcrozat@suse.com
- Add sysstat.service (bnc#723858).
* Sun Oct 16 2011 coolo@suse.com
- buildignore branding for systemd to avoid bootstrap cycle
* Fri Oct  7 2011 fcrozat@suse.com
- Add Yast2 FirstBoot and Second Stage.
* Thu Sep 29 2011 fcrozat@suse.com
- Don't enable avahi-dnsconfd.service after all.
* Thu Sep 29 2011 fcrozat@suse.com
- Enable avahi-daemon.service and avahi-dnsconfd.service
* Thu Sep 29 2011 fcrozat@suse.com
- Enable cron.service
* Mon Sep 26 2011 fcrozat@suse.com
- Initial package
